function love.load()
    rds = love.audio.getRecordingDevices()
    rd = rds[1]
    
    if not rd then
	error('No recording device')
    end

    channel = love.thread.getChannel('')
    thread = love.thread.newThread('thread.lua')
    thread:start()
end

function love.update(dt)
    if rd:isRecording() and rd:getSampleCount() > 20000 then
	local sounddata = rd:getData()
	rd:stop()
	channel:push(sounddata)
    end
end

function love.keypressed(key, scancode)
    if scancode == 'volumedown' or scancode == 'volumeup' then
	return
    end

    local sampleRate = 44100
    local bitDepth = 16
    local channels = 1
    local samples = sampleRate * 2

    rd:start(samples, sampleRate, bitDepth, channels)
end
